LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 11-12-2005, 01:15 PM   #1
coolamit78
Member
 
Registered: Aug 2003
Location: New Delhi, India
Distribution: RHEL AS 3/4, Windows XP
Posts: 546

Rep: Reputation: 31
Perl module dependency problem


Hi

I am trying to install mrtg--2.12.1-1.1.el3.test.rpm on my RHEL AS 3.0 machine, but I am getting the error

error: Failed dependencies:
perl(MRP::BaseClass) is needed by mrtg-2.12.1-1.1.el3.test

I downloaded and installed the above perl module using CPAN site with the command

perl -MCPAN -e shell

install MRP::BaseClass

Inspite of installing the above module, I am still getting the same message. How do I tell the system that the above module is installed ?

Regards,

Amit
 
Old 11-12-2005, 05:49 PM   #2
spooon
Senior Member
 
Registered: Aug 2005
Posts: 1,755

Rep: Reputation: 51
They want an RPM to be installed which provides that thing. Installing modules separately won't help. However, I can't find any packages that provides this, so this "mrtg" package that you got from Dag might be broken. RHEL comes with an "mrtg" package, so you should try that instead.
 
Old 11-13-2005, 01:18 PM   #3
coolamit78
Member
 
Registered: Aug 2003
Location: New Delhi, India
Distribution: RHEL AS 3/4, Windows XP
Posts: 546

Original Poster
Rep: Reputation: 31
thanx spooon..you were right. I installed mrtg rpm that was bundled with rhel 3 and guess what, my MRTG graphs are working!.

Cheers..

Amit
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing perl module problem satimis Programming 1 03-28-2006 04:37 PM
Problem with perl module for w3c validator to work on my local Apache+PHP+perl instal tbamt Linux - Software 0 12-16-2004 06:37 PM
problem with perl module shdhnd Linux - Software 3 06-01-2004 05:16 PM
Perl/Tk module installation problem baddwolf Linux - Software 0 09-26-2003 12:11 AM
Perl and GD module install problem timfair Linux - Software 0 09-17-2003 09:47 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 02:53 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration